# Class ReportMeta

java.lang.Object
uk.ac.starlink.ttools.plot2.ReportMeta

public class ReportMeta extends Object
Contains documentation metadata describing a plot report item.

Since:
  9 Dec 2014
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ReportMeta(String shortName, String longName)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLongName()`
Returns a potentially more descriptive name for use in a GUI.
`String`
`getShortName()`
Returns the basic one-word name, not case-sensitive, for use in command-line interfaces.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReportMeta

public ReportMeta(String shortName, String longName)
Constructor.

Parameters:
  `shortName` - basic name, no spaces, not case-sensitive, to be used in command-line interface
  `longName` - name for use in GUI

## Method Details

### getShortName

public String getShortName()
Returns the basic one-word name, not case-sensitive, for use in command-line interfaces.

Returns:
  short name

### getLongName

public String getLongName()
Returns a potentially more descriptive name for use in a GUI.

Returns:
  long name